Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Compound Members | File Members

# LampForMaya::TranslationLightManager Class Reference

変換ライトマネージャ More...

`#include <TranslationLightManager.h>`

List of all members.

## Public Member Functions
| TranslationLightManager ()
| コンストラクタ
virtual | ~TranslationLightManager ()
| デストラクタ
virtual bool | collectLights ()
| ライトの収集
virtual bool | convertToLamp (Scene *scene) const
| Lampへの変換.
virtual int | clear ()
| クリア
virtual int | getCount () const
| ライト数の取得
virtual TranslationLight * | get (int index) const
| ライトの取得
virtual TranslationLight * | search (String name) const
| ライトの検索
## Protected Member Functions
virtual bool | analysisLight (const MDagPath &dagPath)
| ライトの解析

## Detailed Description

変換ライトマネージャ

Definition at line 40 of file TranslationLightManager.h.

## Member Function Documentation

bool LampForMaya::TranslationLightManager::analysisLight | ( | const MDagPath & | dagPath | ) | `[protected, virtual]`

  | ライトの解析 Parameters:
  dagPath | DAGパス
Returns: 成功すればtrue Definition at line 68 of file TranslationLightManager.cpp. References LampForMaya::TranslationLight::analyze(), LampForMaya::TranslationLight::getObject(), MayaErrorOut, and MayaStatusCheck. Referenced by collectLights().

int LampForMaya::TranslationLightManager::clear | ( |  | ) | `[virtual]`

| クリア Returns: 削除したオブジェクト数 Definition at line 118 of file TranslationLightManager.cpp. References getCount(). Referenced by LampForMaya::TranslationScene::clear(), and ~TranslationLightManager().

bool LampForMaya::TranslationLightManager::collectLights | ( |  | ) | `[virtual]`

| ライトの収集 Returns: 成功すればtrue Definition at line 44 of file TranslationLightManager.cpp. References analysisLight(), and MayaStatusCheck. Referenced by LampForMaya::TranslationScene::collection().

bool LampForMaya::TranslationLightManager::convertToLamp | ( | Scene * | scene | ) | const`[virtual]`

  | Lampへの変換. Parameters:
  scene | 変換先シーン
Returns: 成功すればtrue Definition at line 110 of file TranslationLightManager.cpp. References LampForMaya::TranslationLight::convertToLamp(), get(), and getCount(). Referenced by LampForMaya::TranslationScene::convertToLamp().

virtual TranslationLight* LampForMaya::TranslationLightManager::get | ( | int | index | ) | const`[inline, virtual]`

  | ライトの取得 Parameters:
  index | ライトのインデクス
Returns: ライト Definition at line 82 of file TranslationLightManager.h. Referenced by convertToLamp().

virtual int LampForMaya::TranslationLightManager::getCount | ( |  | ) | const`[inline, virtual]`

| ライト数の取得 Returns: ライト数 Definition at line 75 of file TranslationLightManager.h. Referenced by clear(), convertToLamp(), and ~TranslationLightManager().

virtual TranslationLight* LampForMaya::TranslationLightManager::search | ( | String | name | ) | const`[inline, virtual]`

  | ライトの検索 Parameters:
  name | 検索するライト名
Returns: ライト Definition at line 91 of file TranslationLightManager.h.

The documentation for this class was generated from the following files:

- TranslationLightManager.h
- TranslationLightManager.cpp